summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Didier Spaier2014-01-19 05:11:35 +0100
committer Erik Hanson2014-01-30 06:21:06 +0100
commit9c3c2d5f2d5c3120dc32deb1b79c0d02300f9fb0 (patch)
tree4d1d5f214eba1e8eab633a574b501cabc3d0227a /perl
parent2f75e3340768be94fcd8d5adcd2ccd02e9529a35 (diff)
downloadslackbuilds-9c3c2d5f2d5c3120dc32deb1b79c0d02300f9fb0.tar.gz
perl/perl-Encode-HanExtra: Added (Extra sets of Chinese encodings).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Encode-HanExtra/README4
-rw-r--r--perl/perl-Encode-HanExtra/perl-Encode-HanExtra.SlackBuild99
-rw-r--r--perl/perl-Encode-HanExtra/perl-Encode-HanExtra.info10
-rw-r--r--perl/perl-Encode-HanExtra/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/perl/perl-Encode-HanExtra/README b/perl/perl-Encode-HanExtra/README
new file mode 100644
index 0000000000..f1556c1513
--- /dev/null
+++ b/perl/perl-Encode-HanExtra/README
@@ -0,0 +1,4 @@
+perl-Encode-HanExtra (Extra sets of Chinese encodings)
+
+Encode::HanExtra provides a set of Chinese encodings besides that
+comlement those already shipped in perl 5.7.3 and later.
diff --git a/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.SlackBuild b/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.SlackBuild
new file mode 100644
index 0000000000..bc6c20361a
--- /dev/null
+++ b/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for perl-Encode-HanExtra
+
+# Copyright 2014 Didier Spaier, Paris, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Encode-HanExtra
+VERSION=${VERSION:-0.23}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.info b/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.info
new file mode 100644
index 0000000000..3db7001072
--- /dev/null
+++ b/perl/perl-Encode-HanExtra/perl-Encode-HanExtra.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Encode-HanExtra"
+VERSION="0.23"
+HOMEPAGE="http://search.cpan.org/dist/Encode-HanExtra/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Encode-HanExtra-0.23.tar.gz"
+MD5SUM="e1d3bc32c1c8ee304235a06fbcd5d5a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Didier Spaier"
+EMAIL="didier dot spaier at epsm dot fr"
diff --git a/perl/perl-Encode-HanExtra/slack-desc b/perl/perl-Encode-HanExtra/slack-desc
new file mode 100644
index 0000000000..6939eb9757
--- /dev/null
+++ b/perl/perl-Encode-HanExtra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Encode-HanExtra: perl-Encode-HanExtra (Extra sets of Chinese encodings)
+perl-Encode-HanExtra:
+perl-Encode-HanExtra: Encode::HanExtra provides a set of Chinese encodings besides that
+perl-Encode-HanExtra: comlement those already shipped in perl 5.7.3 and later
+perl-Encode-HanExtra:
+perl-Encode-HanExtra: If you are using Perl 5.8 or later, Encode::CN and Encode::TW will
+perl-Encode-HanExtra: automatically load the extra encodings for you, so there's no need to
+perl-Encode-HanExtra: explicitly write "use Encode::HanExtra" if you are using one of them
+perl-Encode-HanExtra: already.
+perl-Encode-HanExtra:
+perl-Encode-HanExtra: